import ajax from '@/utils/request.js';
/**
 * 获取应用
 * @return {AxjxPromise}
 */
export function getAppList(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/appids',
    method: 'GET',
    data
  });
}

/**
 * 获取性别分布
 * @return {AxjxPromise}
 */
export function getSexData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/sex',
    method: 'GET',
    data
  });
}

/**
 * 获取年龄分布
 * @return {AxjxPromise}
 */
export function getAgeData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/age',
    method: 'GET',
    data
  });
}

/**
 * 获取城市分布
 * @return {AxjxPromise}
 */
export function getCityData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/city',
    method: 'GET',
    data
  });
}

/**
 * 获取兴趣分布
 * @return {AxjxPromise}
 */
export function getTagData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/tag',
    method: 'GET',
    data
  });
}

/**
 * 获取机型号分布
 * @return {AxjxPromise}
 */
export function getPhoneData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/manufacturer',
    method: 'GET',
    data
  });
}

/**
 * 获取app栏目分布
 * @return {AxjxPromise}
 */
export function getCategoryData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/channel',
    method: 'GET',
    data
  });
}

/**
 * 获取app栏目分布
 * @return {AxjxPromise}
 */
export function getPublisherData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/publisher',
    method: 'GET',
    data
  });
}

/**
 * 获取重点栏目
 * @return {AxjxPromise}
 */
export function getProgramData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/program',
    method: 'GET',
    data
  });
}
/**
   * 获取重点栏目
   * @return {AxjxPromise}
   */
export function getBehaviorData(data) {
  return ajax({
    urlType: 'url2',
    url: '/portrait/behavior',
    method: 'GET',
    data
  });
}

/**
 * 获取上报数据
 * @props {string} end
 * @return {AxjxPromise}
 */
export function appReportList(data) {
  return ajax({
    urlType: 'url2',
    url: '/app-report/list',
    method: 'GET',
    data
  });
}
/**
   * 上报数据
   * @props {string} end
   * @return {AxjxPromise}
   */
export function appReportUpdate(data) {
  return ajax({
    urlType: 'url2',
    url: '/app-report/update',
    method: 'POST',
    data
  });
}

/**
   * 上报数据
   * @props {string} end
   * @return {AxjxPromise}
   */
export function appReportChagngeStatus(data) {
  return ajax({
    urlType: 'url2',
    url: '/app-report/change-report',
    method: 'POST',
    data
  });
}

/**
   * 历史数据
   * @return {AxjxPromise}
   */
export function appHistory(data) {
  return ajax({
    urlType: 'url2',
    url: '/app-report/report-history',
    method: 'GET',
    data
  });
}
